Subject: bug#39637: Policy to remove broken packages

From: Leo Famulari <[email-masked]>
Date: Mon, 22 Jun 2020 14:45:11 -0400

On Mon, Jun 22, 2020 at 06:06:44PM +0100, Christopher Baines wrote:
> It seems like you got further in understanding this than I did. Given
> that this seems like a test failure, and I don't think there's anything
> to suggest that the actual functionality doesn't work, the course of
> action I see here is to disable either the failing tests, or running the
> test suite entirely.

Not having looked into it closely, I think that, in general, test
failures do indicate that actual functionality is broken. Of course it's
a different story in many cases since the Guix build environment is so
unusual.